<template>
  <div class="registration-subscription">
    <div class="registration-subscription-wrapper">
      <p class="title-component">
        {{ $t('bounty.registration.title') }}
      </p>

      <div class="registration-subscription__content">
        <div class="registration-subscription-item" v-for="item in registrationList">
          <p class="desc">
            {{ item.desc }}
          </p>

          <div class="box">
            {{ getToken(item.type) | formatCurrencyAmount('heta', '0') }}
          </div>
        </div>
      </div>

      <div class="ctu-total">
        <p class="title">{{ $t('common.heta_tokens') }}</p>
        <div class="number">{{ total | formatCurrencyAmount('heta', '0') }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import bignumber from 'bignumber.js';
import rf from '../../../common/requests/RequestFactory';

export default {
  props: {
    settings: {
      type: Object,
    },
  },
  data() {
    return {
      data: [],
      total: 0,
      registrationList: [
        {
          desc: 'Account registration',
          type: 'register'
        },
        {
          desc: 'Verify KYC',
          type: 'kyc'
        },
        {
          desc: 'Make the first deposit',
          type: 'deposit'
        }
      ]
    }
  },
  methods: {
    getToken (type) {
      const bounty = this.data.find(item => item.type === type);
      return (bounty && bounty.status === 'approved') ? bounty.heta_tokens : 0;
    },
    async getBountyRegister () {
      const result = await rf.getRequest('BountyRequest').getBountyRegister();
      this.data = result.data;
      this.total = this.data
                    .filter(item => item.status === 'approved')
                    .reduce((sum, item) => {
                      return bignumber(sum).plus(item.heta_tokens);
                    }, bignumber('0')).toString();
    },
  },
  created () {
    this.getBountyRegister();
  },
}
</script>

<style scoped lang="scss" scoped>
  @import "../../../../sass/mobile/typoVariables.scss";
  .registration-subscription {
    .title-component {
      line-height: 21rem;
      margin-bottom: 12rem;
    }
  }

  .registration-subscription-wrapper {
    padding-bottom: 30rem;
    position: relative;

    &:after {
      content: '';
      display: block;
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 1rem;
      background-color: #ababab;
    }
  }

  .ctu-total {
    padding: 30rem 0 6rem;

    &:after {
      display: none;
    }
  }

  .registration-subscription__content {
    margin-bottom: -27rem;
  }

  .registration-subscription-item {
    margin-bottom: 5rem;

    .desc {
      font-size: $small;
      margin-bottom: 3rem;
      display: inline-block;
      color: $gray;
    }

    .box {
      font-weight: bold;
      font-size: $small;
      border-radius: 74rem;
      border: 1rem solid #d2d2d2;
      background-color:  #ffffff;
      vertical-align: middle;
      padding: 9rem 20rem;
    }
  }
</style>
